# Bank Statement Analyse

Data extraction from a bank statement analyse refers to the process of capturing and retrieving the information contained within the statement and presenting it in an Excel report.

### Analyse bank statement

`POST` `https://secctrl.tutelar.io/api/v1/kyc/banking/analyse_bank_statement`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description                                                                     |
| -------------- | ------ | ------------ | ------------------------------------------------------------------------------- |
| file           | pdf    | Yes          | Statement pdf for analysing the bank statement                                  |
| password       | String | No           | Password for the bank statement ( If the statement has password authentication) |

#### Sample Post Parameters

{% stepper %}
{% step %}
To call this API, you must send a **POST** request with `multipart/form-data` containing:

* **file** – The bank statement PDF file that needs to be analyzed.
  * This should be attached in the form-data as a file upload.
  * Example: `file=@"/path/to/Account Statement.pdf"`
    {% endstep %}

{% step %}

* **password** – The password required to open the PDF (if the PDF is password-protected).
  * If the PDF has no password, send an empty string for this field.
    {% endstep %}
    {% endstepper %}

```bash
--form 'file=@"/path/to/Account Statement.pdf"'
--form 'password="205038077"'
```

#### Responses

**200: Success Response**

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "c20ad4c9-1556-450f-98c7-db8013101f5c",
    "status": "completed",
    "result": {
        "account_name": "MR. ANUP DUBEY",
        "account_number": "50100158077633",
        "ifsc_code": "HDFC0001116",
        "account_type": "Savings Account",
        "bank_name": "HDFC Bank",
        "report_start_date": "2018-06-01",
        "report_end_date": "2018-10-10",
        "statement_analyse_status": "Report analysis have been completed successfully.",
        "report_download_url": "Download Url Presents here."
    },
    "requested_at": "2025-08-13T06:09:37.041Z",
    "completed_at": "2025-08-13T06:09:37.504Z"
}
```

**200: InProgress Response**

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2024-04-22T05:28:49.245Z"
}
```

**400: Validation Error Response**

```json
{
    "success": false,
    "code": 400,
    "message": "Only PDF files are allowed",
    "error": {
        "message": "Invalid file type",
        "field": "file",
        "code": "BAD_REQUEST"
    }
}
```

**200: Failure Response**

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "3c94fbf2-1dd0-4d8b-ac9b-d0cccfb1d02a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-22T05:34:58.477Z",
    "completed_at": "2024-04-22T05:35:06.000Z"
}
```

### Check Document Status

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/banking/analyse_bank_statement`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

#### Responses

**200: Success Response**

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "c20ad4c9-1556-450f-98c7-db8013101f5c",
    "status": "completed",
    "result": {
        "account_name": "MR. ANUP DUBEY",
        "account_number": "50100158077633",
        "ifsc_code": "HDFC0001116",
        "account_type": "Savings Account",
        "bank_name": "HDFC Bank",
        "report_start_date": "2018-06-01",
        "report_end_date": "2018-10-10",
        "statement_analyse_status": "Report analysis have been completed successfully.",
        "report_download_url": "Download Url Presents here."
    },
    "requested_at": "2025-08-13T06:09:37.041Z",
    "completed_at": "2025-08-13T06:09:37.504Z"
}
```

**200: InProgress Response**

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "9888eb23-135e-45de-bb25-fb4cfe6ab6a2",
    "status": "in_progress",
    "result": {
        "account_name": "MR. ANUP DUBEY",
        "account_number": "50100158077633",
        "ifsc_code": "HDFC0001116",
        "account_type": "Savings Account",
        "bank_name": "HDFC Bank",
        "report_start_date": "2018-06-01",
        "report_end_date": "2018-10-10",
        "statement_analyse_status": "The Bank statement analysis is in progress. Please check after sometime!",
        "report_download_url": ""
    },
    "requested_at": "2025-08-13T09:52:33.797Z"
}
```

**200: Failure Response**

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "3c94fbf2-1dd0-4d8b-ac9b-d0cccfb1d02a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-22T05:34:58.477Z",
    "completed_at": "2024-04-22T05:35:06.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/bank-statement-analyse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
